libshell-guess-perl_0.09-1_all.deb


Advertisement

Description

libshell-guess-perl - Perl module to make an educated guess about the shell in use

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libshell-guess-perl_0.09-1_all.deb
Package name libshell-guess-perl
Package version 0.09
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/Shell-Guess
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 11.37 KB
Installed size 36.00 KB
Shell::Guess makes a reasonably aggressive attempt to determine the shell
being employed by the user, either the shell that executed the perl script
directly (the "running" shell), or the users' login shell (the "login"
shell). It does this by a variety of means available to it, depending on the
platform that it is running on.

Alternatives

Package Version Architecture Repository
libshell-guess-perl_0.09-1_all.deb 0.09 all Debian Main
libshell-guess-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libshell-guess-perl_0.09-1_all.deb
Source Package libshell-guess-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libshell-guess-perl deb package:
    # sudo apt-get install libshell-guess-perl

Files

Path
/usr/share/doc/libshell-guess-perl/changelog.Debian.gz
/usr/share/doc/libshell-guess-perl/changelog.gz
/usr/share/doc/libshell-guess-perl/copyright
/usr/share/man/man3/Shell::Guess.3pm.gz
/usr/share/perl5/Shell/Guess.pm

Changelog

2018-12-09 - gregor herrmann <gregoa@debian.org>
libshell-guess-perl (0.09-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ gregor herrmann ]
* Import upstream version 0.09.
* Declare compliance with Debian Policy 4.2.1.
2017-12-30 - gregor herrmann <gregoa@debian.org>
libshell-guess-perl (0.08-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.08.
* Declare compliance with Debian Policy 4.1.3.
* Bump debhelper compatibility level to 10.
2017-11-11 - gregor herrmann <gregoa@debian.org>
libshell-guess-perl (0.07-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.07.
* Update build dependencies.
* Declare compliance with Debian Policy 4.1.1.
2016-06-04 - C.J. Collier <cjcollier@linuxfoundation.org>
libshell-guess-perl (0.06-1) unstable; urgency=low
* Initial Release. (Closes: #778549)

See Also

Package Description
libshell-perl-perl_0.0026-1_all.deb read-eval-print loop in Perl
libshell-perl_0.73-1_all.deb run shell commands transparently within perl
libshell-posix-select-perl_0.08-1_all.deb POSIX Shell's "select" loop for Perl
libshhmsg1-dev_1.4.2-1_i386.deb library for displaying messages - development
libshhmsg1_1.4.2-1_i386.deb library for displaying messages - runtime
libshhopt1-dev_1.1.7-4_i386.deb Command line option parser - development
libshhopt1_1.1.7-4_i386.deb Command line option parser - runtime
libshiboken-dev_1.2.2-5.1+b1_i386.deb development files for the shiboken bindings generator library
libshiboken-py3-1.2v5_1.2.2-5.1+b1_i386.deb CPython3 bindings generator for C++ libraries - shared library
libshiboken1.2v5_1.2.2-5.1+b1_i386.deb CPython bindings generator for C++ libraries - shared library
libshiboken2-5.11_5.11.2-3_i386.deb CPython bindings generator for C++ libraries (Python2 shared library)
libshiboken2-dev_5.11.2-3_i386.deb CPython bindings generator for C++ libraries (development files)
libshiboken2-py3-5.11_5.11.2-3_i386.deb CPython bindings generator for C++ libraries (Python3 shared library)
libshibresolver-dev_3.0.0-3_i386.deb Shibboleth SP Attribute Resolver library (development)
libshibresolver2_3.0.0-3_i386.deb Shibboleth SP Attribute Resolver library
Advertisement
Advertisement